<?php /*
phpWebTrace 1.0 - phpwebtrace.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:09:56 +0100 (Fri, 21 Oct 2005) $
$Id: phpwebtrace.php 4 2005-10-21 04:09:56Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ ?>
<?php
require_once('phpwebtrace/config.php');
require_once('phpwebtrace/lib/data.inc.php');
require_once('phpwebtrace/ip_ignore.php'); // enter ip addresses to ignore in this file
if ( !empty($geoip_path) )
    require_once('phpwebtrace/contrib/geoip.inc');

$ip = $_SERVER['REMOTE_ADDR'];
$timestamp = time();

if( ((count($ip_ignore) != 0) && !in_array($ip, $ip_ignore)) || (count($ip_ignore) == 0) ) {

	if($_SESSION['sneak'] != true) {
		if($_SESSION['tracked'] != true) { // if this visitor has not been tracked
			$_SESSION['tracked'] = true; // set tracked so they are only logged once
			
			// date 'n time
			$datestamp = date('Ymd');
			$hourstamp = date('H');
			
			// check for session referer for pages that use the Instinctive Framework
			if (isset($_SESSION['referer'])) { $referer = $_SESSION['referer']; unset($_SESSION['referer']); }
			else { $referer = $_SERVER["HTTP_REFERER"]; }
			
			// client string and page name
			$client = $_SERVER["HTTP_USER_AGENT"];
			$entry = $_SERVER['PHP_SELF'];
			
			// host name
			$host = gethostbyaddr($ip);
			if(substr_count($host, '.') > 2) { 
				if(eregi("[[:alpha:]]", $host)) {
					$set = explode('.', $host);
					$p = count($set);
					$host = $set[$p - 3].'.'.$set[$p - 2].'.'.$set[$p - 1];
				}
			}
			// refering host
			if($referer) {
				$referer_host = parse_url($referer);
				$referer_host = $referer_host[host];
			}
			
			// web browser
			$browser = findbrowser($client);
			
			// operating system
			$os = findos($client);
			
			// country lookup
			if ( !empty($geoip_path) ) {
                $gi = geoip_open($geoip_path,GEOIP_STANDARD);
                $objGeoIP = new GeoIP();
                $countrycode = geoip_country_code_by_addr($gi, $ip);
		    } else {
		        $countrycode = "";
		    }
		    
			// was the visitor from a mail promotion?
			if (isset($_GET[mailtrace])) { $mail=$_GET[mailtrace]; }
			else { $mail=null; }
			
			// was the referer a search engine?
			if($referer_host) {
				if(array_key_exists($referer_host, $engines)) {
					$engine = $engines[$referer_host];
				}
				// check for different Googles
				if(substr_count($referer_host, "www.google.")) { $engine = 'Google'; }
				// check for different Yahoo!s
				if(substr_count($referer_host, "www.yahoo.")) { $engine = 'Yahoo!'; }
			}
			// get search terms from the referer string
			if($engine) {
				$tmp = explode($keymark[$engine], $referer);
				$tmp = explode("&", $tmp[1]);
				$terms = strtolower($tmp[0]);
			}
			// log data in database
			$link = @mysql_connect($dbhost, $dbuser, $dbpass);
			@mysql_db_query($dbname, "INSERT INTO $dblog VALUES('0','$timestamp','$datestamp','$hourstamp','$ip','$countrycode','$host','$referer','$referer_host','$client','$browser','$os','$engine','$terms','$entry','$mail')", $link);
			$track_id = @mysql_insert_id();
			$_SESSION['track_id'] = $track_id;
			@mysql_close($link);
		}
		else {
			// visitor is tracked so lets trace page impressions from here on
			$track_id = $_SESSION['track_id'];
			$entry = $_SERVER['PHP_SELF'];
			$query = $_SERVER['QUERY_STRING'];
			// log data in database
			$link = @mysql_connect($dbhost, $dbuser, $dbpass);
			@mysql_db_query($dbname, "INSERT INTO $dblog_trace VALUES('0','$track_id','$timestamp','$entry', '$query')", $link);
			@mysql_close($link);
		}
	}
}
?>