<?php /*
phpWebTrace 1.0 - index.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:09:56 +0100 (Fri, 21 Oct 2005) $
$Id: index.php 4 2005-10-21 04:09:56Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
// first check for confdata.php file to determine whether we need to install
if (!file_exists('config.php')) { header('Location:install.php'); exit; }

define('IN_WEBTRACE', true);

// includes
require 'config.php';
require 'lib/data.inc.php';
require 'lib/icons.inc.php';
include_once('version.inc');

// are we using GeoIP?
if ($geoip_path != '') {
	include("contrib/geoip.inc");
	$gi = geoip_open("$geoip_path",GEOIP_STANDARD);
}

// check for login
include_once('login.php');

// are we connected to db
if (!isset($link)) { $link = mysql_connect($dbhost, $dbuser, $dbpass); }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>phpWebTrace <?php echo $version ?> - A web site visitor counter and logger</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="css/default.css" rel="stylesheet" type="text/css">
<script type="text/JavaScript">
function ChangeBG(o,func)
{
	if(func=="on")
	{
		o.style.backgroundColor='#0099EE';
		o.style.color='#FFFFFF';
		o.style.cursor = 'hand';
	}
	else if(func=="off")
	{
		o.style.backgroundColor='';
		o.style.color='#3300CC';
	}
	else if(func=="today")
	{
		o.style.backgroundColor='#CCCCFF';
		o.style.color='#000000';
	}
	return true;
}
-->
</script>
</head>

<body class='sfont'>
<?php
// SCRIPT START TIME ----------------------------------------------------
$timeparts = explode(' ', microtime()); $starttime = $timeparts[1].substr($timeparts[0],1);
// ----------------------------------------------------------------------

// remove entry ---------------------------------------------------------
if($remove) { mysql_db_query($dbname, "DELETE FROM $dblog WHERE id=$id", $link); }
// ----------------------------------------------------------------------

$today = date('Ymd');
// ----------------------------------------------------------------------

$result = mysql_db_query($dbname, "SELECT timestamp FROM $dblog ORDER BY timestamp ASC LIMIT 1", $link);
$result = mysql_fetch_array($result);
if ( $result['timestamp'] ) { $first_visit = date('l d/m/Y G:i', $result['timestamp']); }
else { $first_visit = "No recorded visits."; }
$first_visit_year = date("Y",$result['timestamp']);
$first_visit_month = date("m",$result['timestamp']);
$first_visit_day = date("d",$result['timestamp']);

$domain = $_SERVER['SERVER_NAME'];

$gen_date = date('l d/m/Y g:i a');

// ----------------------------------------------------------------------
// get total number of visits
$result = mysql_db_query($dbname, "SELECT COUNT(id) FROM $dblog", $link);
$total_visits = mysql_fetch_array($result);

// get total unique visitors
$result = mysql_db_query($dbname, "SELECT COUNT(DISTINCT ip) FROM $dblog", $link);
$total_unique = mysql_fetch_array($result);

// get today's total visits
$result = mysql_db_query($dbname, "SELECT COUNT(id) FROM $dblog WHERE datestamp='$today'", $link);
$today_total = mysql_fetch_array($result);

// get today's unique visitors
$result = mysql_db_query($dbname, "SELECT COUNT(DISTINCT ip) FROM $dblog WHERE datestamp='$today'", $link);
$today_unique = mysql_fetch_array($result);

// get number of days logged
$result = mysql_db_query($dbname, "SELECT COUNT(DISTINCT datestamp) FROM $dblog", $link);
$num_days = mysql_fetch_array($result);

// ----------------------------------------------------------------------
// format values for display
if($total_visits[0]) { $total_per = '( ' . round(($total_unique[0] / $total_visits[0]) * 100) . '% )'; }
if($today_total[0]) { $today_per = '( ' . round(($today_unique[0] / $today_total[0]) * 100) . '% )'; }

if($num_days[0]) { $daily_average = number_format(round($total_visits[0] / $num_days[0])); }
$total_visit_count = $total_visits[0];
$total_visits = number_format($total_visits[0]);
$total_unique = number_format($total_unique[0]);
$today_total = number_format($today_total[0]);
$today_unique = number_format($today_unique[0]);
?>
<div align='left'>
<table width=100% border=0 cellpadding=0 cellspacing=0 id="header">
	<tr><td width=210 valign='middle'><a href="http://dev.instinctiv-e.com/phpwebtrace" title="Visit phpWebTrace Home Page"><img src='graphics/logo.jpg' border="0"></a></td>
	  <td align='left' valign="bottom"><table width="660" border="0" cellspacing="0" cellpadding="0">
	  <tr><td height="18" align="left" valign="top" class="hfont">Domain: <b><a href="http://<?php echo $domain; ?>" class='hfont'><?php echo $domain; ?></a></b></td>
	  <td align="right" valign="middle" class="vers">Version <?php echo $version; ?></td>
	  </tr>
	</table></td></tr>
</table>
<br>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="200" align="center" valign="top" class='fill03'>
	  <?php include('templates/calendar.inc.php'); ?>
      <br>
      <table width="180" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="left" valign="top">
		  <span class="menu_title">Reports</span><br>
		  <a href="index.php" class="menu">Quick Stats</a><br>
		  <a href="index.php?page=list_visits&limit=20" class="menu">Visitor Reports</a><br>
		  <a href="index.php?page=list_hosts" class="menu">Top Visiting Hosts</a><br>
		  <a href="index.php?page=browsers" class="menu">Browser &amp; Op Systems</a><br>
          <a href="index.php?page=search_engines" class="menu">Search Engine Referrals</a><br>
          <a href="index.php?page=search_bots" class="menu">Search Bot Activity</a><br>
          <a href="index.php?page=list_referrers" class="menu">Referrer Reports</a><br>
          <?php if ($geoip_path !=''){ echo'<a href="index.php?page=countries" class="menu">Countries Reports</a><br>'; } ?>
          <a href="index.php?page=downloads" class="menu">File Download Reports</a>
          <a href="index.php?page=email_campaign" class="menu">Email Campaign Reports</a><br>
		  <br><br>
		  <span class="menu_title">Menu</span><br>
		  <a href="index.php?page=ip_filters" class="menu">IP Address Filters</a><br>
		  <a href="index.php?page=login_details" class="menu">Change Login Details</a><br>
		  <a href="index.php?page=help" class="menu">phpWebTrace Help</a><br><br>
		  <?php if ($cfg['username'] !='') { echo '<a href="logout.php" class="menu">Logout</a>'; }?></td>
        </tr>
        <tr><td align="left" valign="top">&nbsp;</td></tr>
		<tr class='calendar'><td>Started Tracking:<br><b><?php echo $first_visit; ?></b><br><br></td></tr>
      </table></td>
    <td width="10">&nbsp;</td>
    <td valign="top" align="left">
<?php
// include the report templates and their respective lib files
if (isset($_GET['page'])) {
	$page = $_GET['page'];
	
	switch ($page) {
	 	case 'quick_stats':
	 		include('lib/referrer.inc.php');
	 		include('lib/search_engine.inc.php');
	 		include('lib/search_terms.inc.php');
	 		include('lib/30day_hits.inc.php');
	 		include('lib/hourly_summary.inc.php');
	 		include('lib/hourly_summary_average.inc.php');
	 		include('templates/quick_stats.inc.php');
	 		break;
	 	case 'visitors_detail':
	 		include('templates/visitors_detail.inc.php');
	 		break;
	 	case 'list_visits':
	 		include('templates/list_visits.inc.php');
	 		break;
	 	case 'list_hosts':
	 		include('templates/list_hosts.inc.php');
	 		break;
	 	case 'browsers':
	 		include('lib/browsers.inc.php');
	 		include('lib/operating_sys.inc.php');
	 		include('templates/browsers.inc.php');
	 		break;
	 	case 'os':
	 		include('templates/list_os_visits.inc.php');
	 		break;
	 	case 'list_browser_visits':
	 		include('templates/list_browser_visits.inc.php');
	 		break;
	 	case 'search_engines':
	 		include('lib/search_engine.inc.php');
	 		include('lib/search_terms.inc.php');
	 		include('templates/search_engines.inc.php');
	 		break;
	 	case 'search_terms':
	 		include('templates/list_search_terms.inc.php');
	 		break;
	 	case 'engine_details':
	 		include('templates/search_engine_details.inc.php');
	 		break;
	 	case 'search_bots':
	 		include('lib/search_engine.inc.php');
	 		include('templates/search_bots.inc.php');
	 		break;
	 	case 'search_bots_detail':
	 		include('templates/search_bots_detail.inc.php');
	 		break;
	 	case 'list_search_bots':
	 		include('templates/list_search_bots.inc.php');
	 		break;
	 	case 'list_referrers':
	 		include('templates/list_referrers.inc.php');
	 		break;
	 	case 'countries':
		 	include('lib/hosts.inc.php');
	 		include('templates/countries.inc.php');
	 		break;
	 	case 'ip_filters':
	 		include('templates/ip_filters.inc.php');
	 		break;
	 	case 'downloads':
	 		include('templates/downloads_summary.inc.php');
	 		break;
	 	case 'list_downloads':
	 		include('templates/list_downloads.inc.php');
	 		break;
	 	case 'downloads_detail':
	 		include('templates/downloads_detail.inc.php');
	 		break;
	 	case 'email_campaign':
	 		include('templates/email_summary.inc.php');
	 		break;
	 	case 'list_emails':
	 		include('templates/list_emails.inc.php');
	 		break;
	 	case 'login_details':
	 		include('templates/password.inc.php');
	 		break;
	 	case 'help':
	 		include('templates/help.inc.php');
	 		break;
	 	default:
	 		include('templates/help.inc.php');
	 		break;
	 }
}
else {
	 		include('lib/referrer.inc.php');
	 		include('lib/search_engine.inc.php');
	 		include('lib/search_terms.inc.php');
	 		include('lib/30day_hits.inc.php');
	 		include('lib/hourly_summary.inc.php');
	 		include('lib/hourly_summary_average.inc.php');
		include('templates/quick_stats.inc.php'); }

// close db connection
echo mysql_error();
mysql_close($link);

// SCRIPT END TIME ------------------------------------------------------
$timeparts = explode(' ', microtime()); $endtime = $timeparts[1].substr($timeparts[0],1); $execution = round(($endtime - $starttime), 2);
// ----------------------------------------------------------------------
echo "<br><span class='sfont'>&copy;2005 </span><a href='http://www.instinctiv-e.com' class='slink'>Instinctive Interactive Ltd</a><span class='sfont'>.&nbsp;&nbsp;All rights reserved.&nbsp;&nbsp;Report generated in $execution seconds.</span>";
?></td>
  </tr>
</table>
<br>
</div>
</body>
</html>