<?php /*
phpWebTrace 1.0 - countries.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: countries.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
//  get and sort diff countries of visits
$countries = array();
$totalcountries=0;
$objGeoIP = new GeoIP();

// populate the empty country codes in db - this should only happen on a GeoIP db install/update.
$result = mysql_db_query($dbname, "SELECT id,ip FROM $dblog WHERE country_code=''", $link);
while($row = mysql_fetch_array($result)) {
	$countrycode = geoip_country_code_by_addr($gi, $row['ip']);
	if ( $countrycode != "" ) {
		// collect the new country codes
        $countryids[$row['id']] = $countrycode;
	}
}
// update the new country codes in db
if (count($countryids)) {
	foreach ($countryids as $key => $code) {
		mysql_db_query($dbname, "UPDATE $dblog SET country_code = '{$code}' WHERE id = '{$key}'", $link);
	}
}

// get the country details from stats
$sql = "SELECT country_code FROM {$dblog} WHERE ";

// exclude search bots from list
reset($bots);
$totalbots=count($bots);$x=1;
foreach ($bots as $name => $value) {
	$sql .= "client NOT LIKE '%".$value."%'";
	if ($x < $totalbots) { $sql .= " AND "; $x++; }
}
$result = mysql_db_query($dbname, $sql, $link);
while($row = mysql_fetch_array($result)) {
	array_push($countries, $row['country_code']);
	$totalcountries++;
}

$countries = array_count_values($countries);
arsort($countries);
reset($countries);
$countries_total = count($countries);
$n=0;

// now show results
echo "<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
		<tr class='fill01'><td height=25 colspan=4 align='left'>&nbsp;<b>Visitor Countries Summary</b> - You have had visitors from $countries_total countries.</td></tr>
		<tr class='fill02'><td width=20 align='center'>&nbsp;</td><td><b>Country</b></td><td width=75 align='center'><b>Visits</b></td><td width=50 align='center'><b>%</b></td></tr>
	";
foreach ($countries as $country_code => $hits) {
	if (!$n) { $colour='';$n=1; } else { $colour="class='fill03'";$n=0; }
	
	$country_id = $objGeoIP->GEOIP_COUNTRY_CODE_TO_NUMBER[strtoupper($country_code)];
	$country = $objGeoIP->GEOIP_COUNTRY_NAMES[$country_id];
	
	$percent = round(( $hits / $totalcountries ) * 100);
	if ( $country_code == "" ) { $flag = "<img src='icons_flags/unknown.jpg'>"; $country="Unknown"; }
	else {$flag = "<img src='icons_flags/" . strtolower($country_code) . ".gif' title='" . $country . "'>" ;}

	echo "<tr $colour><td align='center'>$flag</td><td>$country</td><td align='center'>$hits</td><td align='center'>$percent</td></tr>
	";
}
echo "<tr class='fill01'><td colspan=4 height=5><!-- SPACER --></td></tr>
	</table>
";
?>