<?php /*
phpWebTrace 1.0 - downloads_summary.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: downloads_summary.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
// show download count for the last 30 days
$dgraph = array();
$high = 0;
for($n = 29; $n >= 0; $n--) {
	$timestamp = mktime(0, 0 ,0, date("m"), date("d")-$n, date("Y"));
	$date = date("Ymd", $timestamp);
	$day_num = date("d", $timestamp);
	$day_letter = substr(date("D", $timestamp), 0, 1);
	$result = mysql_db_query($dbname, "SELECT COUNT(id) FROM $dblog_dloads WHERE datestamp='$date'", $link);
	$result = mysql_fetch_array($result);
	if($result[0] > $high) { $high = $result[0]; }
	array_push($dgraph, array($day_num, $day_letter, $result[0]));
}
// total downloads size
$result = mysql_db_query($dbname, "SELECT size FROM $dblog_dloads", $link);
while ( $row = mysql_fetch_array($result) ) {
	$size += $row[size];
}
// friendly filesizes
if ($size >= 1073741824) { $size = round($size/1073741824,2) . " Gb"; }
elseif ($size >= 1048576) { $size = round($size/1048576,2) . " Mb"; }
elseif ($size >= 1024) { $size = round($size/1024,2) . " Kb"; }
else { $size . " bytes"; }

?>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
  <tr class='fill01'><td height=25 colspan=30 align='left'>&nbsp;<b>Download Traffic For Last 30 Days</b></td></tr>
  <tr>
<?php
	foreach($dgraph as $line) {
		if($high) { $height = $line[2] / $high; }
		$height = round(100 * $height);
		if($line[2] > 999) { $line[2] = round($line[2] / 1000, 1).'K'; }
		echo "<td class='gfont' width=22 align='center' valign='bottom'>$line[2]<br><img src='graphics/graph_blue_v_cap.jpg'><br><img src='graphics/graph_blue_v.jpg' width=16 height=$height><br><img src='graphics/graph_blue_v_cap.jpg'></td>";
	}
	echo "</tr><tr class='fill02'>";
	foreach($dgraph as $line) {
		echo "<td class='gfont' align='center'>$line[0]</td>";
	}
	echo "</tr><tr class='fill03'>";
	foreach($dgraph as $line) {
		echo "<td class='gfont' align='center'>$line[1]</td>";
	}
?>
  </tr>
  <tr class='fill01'><td colspan=30 height=5><!-- SPACER --></td></tr>
</table>
<br>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'>
	  <td height=25 colspan=3 align='left'>&nbsp;<b>File Downloads  Summary</b> - Total File Downloads Size: <?php echo $size; ?></td>
	</tr>
	<?php
// ----------------------------------------------------------------------
	// get and sort downloads data
	$downloadset = array();
	// count different files
	$result = mysql_db_query($dbname, "SELECT file FROM $dblog_dloads", $link);
	if ( $result ) { 
		while ( $data = mysql_fetch_array($result) ) {
			array_push($downloadset, $data['file']);
		}
	}
	$total_downloads=count($downloadset);
	$downloadset = array_count_values($downloadset);
	arsort($downloadset);
	
	$n = 0;
	foreach($downloadset as $name => $value) {
		$percent = $value / str_replace(',', '', $total_downloads); // use str_replace to remove the number formating
		$width = round(360 * $percent);
		$percent = round($percent * 100, 1) . '%';
		$value = number_format($value);
		$bits = explode(".",$name);
		$bits_tot=count($bits)-1;
		$ext = $bits[$bits_tot];
		$file = files($ext); // what icon to display?
		
		// total downloads size
		$result = mysql_db_query($dbname, "SELECT size FROM $dblog_dloads WHERE file='".$name."'", $link);
		while ( $row = mysql_fetch_array($result) ) {
			$size += $row['size'];
		}
		// friendly filesizes
		if ($size >= 1047527424) { $size = round($size/1073741824,1) . "Gb"; }
		elseif ($size >= 512000) { $size = round($size/1048576,1) . "Mb"; }
		else { $size = round($size/1024,1) . "Kb"; }

		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		echo "<tr $bg>
			<td align='center' width=20><a href='index.php?page=list_downloads&file=$name'><img src='icons/info.jpg' border=0 title='Click to see all downloads of this file.'></a></td>
			<td width=140>$name</td>
			<td valign='middle' width=500><img src='$file' align='left'>&nbsp;&nbsp;<img src='graphics/graph_blue_h.jpg' width=$width height=16 align='absmiddle'> $percent ($value) $size</td>
		</tr>";
		$n++;
	}
	?>
	<tr class='fill01'><td colspan=3 height=5><!-- SPACER --></td></tr>
</table>
<?
// ----------------------------------------------------------------------
// list last 20 downloads in date order
if($_GET['limit']) { $viewing = 'Last ' . $_GET['limit']; } else { $viewing = 'Last 10'; }
echo "<br>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'><td height=25 colspan=7 align='left'>&nbsp;<b>File Downloads - Viewing $viewing</b> ( <a href='index.php?page=list_downloads&showdate=".date("Ymd")."' class='slink'>Today</a> | <a class='slink' href='index.php?page=list_downloads&limit=50'>Last 50</a> | <a class='slink' href='index.php?page=list_downloads&limit=100'>Last 100</a> | <a class='slink' href='index.php?page=list_downloads'>List All</a> )</td></tr>
	<tr class='fill02'>
		<td width=20>&nbsp;</td>
		<td width=130 align='center'><b>Date / Time</b></td>
		<td width=95 align='center'><b>IP</b></td>
		<td width=20 align='center'><b>Ctry</b></td>
		<td width=55 align='center'><b>System</b></td>
		<td width=55 align='center'><b>File Type</b></td>
		<td><b>File name</b></td>
	</tr>
";

// build query to get all downloads from db
if($_GET['limit']) { $limit = ' LIMIT ' . (int)$_GET['limit']; } else { $limit = ' LIMIT 10'; }
reset($downloadset);

$x=1;
$sql="SELECT id,timestamp,ip,host,referer_host,client,browser,os,file,size FROM $dblog_dloads ORDER BY timestamp DESC$limit";
// iterate through db results showing each row
$n = 0;
$result = mysql_db_query($dbname, $sql, $link);
if ( $result ) { 
	while ( $row = mysql_fetch_array($result) ) {
		$row['timestamp'] = date("d/m/Y h:i a", $row['timestamp']);
		$browser = browser($row['browser']);
		$os = os($row['os']);
		
		// determine the filetype icon to use
		$bits = explode(".",$row[file]);
		$bits_tot=count($bits)-1;
		$ext = $bits[$bits_tot];
		$file = files($ext); // what icon to display?
		
		// do the GeoIP Lookup
        if ( !empty($geoip_path) ) {
			$countrycode=geoip_country_code_by_addr($gi, $row['ip']);
			if ( $countrycode == "" ) { $flag = "icons_flags/unknown.jpg"; }
			else {
				$flag = "icons_flags/" . strtolower($countrycode) . ".gif" ;
			}
			$country = geoip_country_name_by_addr($gi, $row['ip']);
			$flag = "<img src='$flag' title='$country'>";
		} else {
			$flag = "&nbsp;";
		}
		
		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		
		echo "<tr $bg>
			<td align='center'><a href='index.php?page=downloads_detail&id={$row['id']}'><img src='icons/info.jpg' border=0 title='info'></a></td>
			<td align='center'>{$row['timestamp']}</td>
			<td align='center'>{$row['ip']}</td>
			<td align='center'>$flag</td>
			<td align='center'><img src='$browser' title='{$row['browser']}'>&nbsp;<img src='$os' title='{$row['os']}'></td>
			<td align='center'><img src='$file' title='$ext'></td>
			<td>{$row['file']}</td>
		</tr>";
		$n++;
	}
}
echo "
<tr class='fill01'><td colspan=7 height=5><!-- SPACER --></td></tr>
</table>";
?>