<?php /*
phpWebTrace 1.0 - help.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: help.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// ----------------------------------------------------------------------
// help page
?>
<br>
<div class="menu_title"><img src="graphics/unknown.jpg" align='absmiddle'> Help Using phpWebTrace</div>
<br>
Visit the website <a href="http://dev.instinctiv-e.com/phpwebtrace">dev.instinctiv-e.com</a> or
get help and support in the<br>
support <a href="http://dev.instinctiv-e.com/forums">forums</a><br>
<br>
<div class="text">
To use phpWebTrace to capture and trace visitors on your website<br>
select one of the following methods of adding tracking to the pages<br>
in your web site.</div>
<br>
<div class="menu_title">1 - I Know How To Use PHP Sessions</div>
<div class="text">
To ensure that visitors are properly traced through out the site<br>
you need to pass the session id from page to page.<br>
For those that know how to do this then the code below is enough<br>
to start using phpWebTrace. Just add to every .php page. </div>
<span class="script">&lt;?php session_start(); include('phpwebtrace.php'); ?&gt;</span>
<br>
<br>
<div class="menu_title">2 - I Don't Know How To Use PHP Sessions</div>
<div class="text">
If you don't know how to / or don't use sessions then use the<br>
following in your php pages instead.<br>
This will start the session for you and place the session id in<br>
a cookie on the visitors computer so that visitors can be traced<br>
properly.</div>
<span class="script">&lt;?php include('phpwebtrace_cookie.php'); ?&gt;</span>
<br>
<br>
<div class="menu_title">Tracking Downloads</div>
<div class="text">
To track file downloads on your website place the files in the<br>
downloads folder you specified during the setup process.<br>
Then instead of linking directly to the files use the<br>
phpfiletrace.php script to serve the file by using a link<br>
like the example below;
</div>
<span class="script">&lt;a href="http://www.instinctiv-e.com/phpfiletrace.php?file.zip">download file.zip&lt;/a&gt;</span>
<br><br>
<div class="menu_title">Tracking Email Campaign Referrals</div>
<div class="text">
To track visits to your website referred from email campaigns<br>
instead of linking directly to your webiste address or URL use the<br>
phpwebtrace.php and phpfiletrace.php scripts to track referrals by<br>
by using a link like the examples below in your email;
</div>
<span class="script">http://www.website.com/news/somepage.php?mailtrace=campaign01"</span><br>
<span class="script">&lt;a href="http://www.website.com/index.php?mailtrace=newsletter001">website&lt;/a&gt;</span>
<br><br>
<div class="menu_title">Now Help US!</div>
<div class="text">Thanks for using phpWebTrace - <br>
let us know what you think of it. <br>
Is there anything you'd like to see added ?<br>
Or just please tell us if you found it useful!<br>
<img src="icons/mail.png" align='absmiddle'> <a href="mailto:phpwebtrace@instinctiv-e.com?subject=phpwebtrace">phpwebtrace@instinctiv-e.com</a><br>
</div>
<br><br>