<?php /*
phpWebTrace 1.0 - phpfiletrace.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
 USAGE:: instead of linking directly to your files pass the file name to the phpfiletrace.php script
 in the URL - store the actual download files preferably in a non web accessible directory.
 e.g. <a href="http://dev.instinctiv-e.com/phpfiletrace.php?file=phpwebtrace.0.1.tar.gz">download phpwebtrace 0.1</a>
 Enables you to prevent downloads unless they are via the phpfiletrace script ensuring every download is monitored.
*/
require_once('phpwebtrace/config.php');
require_once('phpwebtrace/lib/data.inc.php');
include_once('phpwebtrace/ip_ignore.php'); // enter ip addresses to ignore in this file

// check for use of 'file=' var in URL
if(isset($_GET[file])) {$file = basename($_GET[file]);}
else { 
	foreach($_GET as $getvar => $value) {$file=basename($getvar);}
	// add extension
	$bits=explode('_',$file);
	$n=count($bits)-1; $file=$bits[0];
	for ($x=1;$x<$n;$x++) {
		$file.="_".$bits[$x];
	}
	$file.=".".$bits[$x];
}

// SECURITY!!!!
// Remove any '..'s '../'s from filename - circumvent downloading of your password file !!!
$file=str_replace("../","",$file);
$file=str_replace("./","",$file);
$file=str_replace("/","",$file);

$path = $downloads_dir . $file;
if(!is_file($path)) { echo "Error: file does not exist."; exit; }// header("Location: $error_page"); exit; }

$p = explode('.', $file);
$pc = count($p);

// track details
$ip = $_SERVER['REMOTE_ADDR'];
if( ((count($ip_ignore) != 0) && !in_array($ip, $ip_ignore)) || (count($ip_ignore) == 0) ) {

	if($_SESSION['sneak'] != true) {
		// date 'n time
		$timestamp = time();
		$datestamp = date('Ymd');
		$hourstamp = date('H');
		
		// check for session referer for links that use the Instinctive Framework
		if (isset($_SESSION['referer'])) { $referer = $_SESSION['referer']; unset($_SESSION['referer']); }
		else { $referer = $_SERVER["HTTP_REFERER"]; }
		
		// client string
		$client = $_SERVER["HTTP_USER_AGENT"];
		
		// host name
		$host = gethostbyaddr($ip);
		if(substr_count($host, '.') > 2) { 
			if(eregi("[[:alpha:]]", $host)) {
				$set = explode('.', $host);
				$p = count($set);
				$host = $set[$p - 3].'.'.$set[$p - 2].'.'.$set[$p - 1];
			}
		}
		// refering host
		if($referer) {
			$referer_host = parse_url($referer);
			$referer_host = $referer_host[host];
		}
		
		// web browser
		$browser = findbrowser($client);
		
		// operating system
		$os = findos($client);
		
		// was the visitor from a mail promotion?
		if (isset($_GET[mailtrace])) { $mail=$_GET[mailtrace]; }
		else { $mail=null; }
		
		// was the referer a search engine?
		if($referer_host) {
			if(array_key_exists($referer_host, $engines)) {
				$engine = $engines[$referer_host];
			}
			// check for different Googles
			if(substr_count($referer_host, "www.google.")) { $engine = 'Google'; }
			// check for different Yahoo!s
			if(substr_count($referer_host, "www.yahoo.")) { $engine = 'Yahoo!'; }
		}
		// get search terms from the referer string
		if($engine) {
			$tmp = explode($keymark[$engine], $referer);
			$tmp = explode("&", $tmp[1]);
			$terms = strtolower($tmp[0]);
		}
		
		// get file size in bytes
		$size = filesize($path);
		
		// log data in database
		$link = @mysql_connect($dbhost, $dbuser, $dbpass);
		@mysql_db_query($dbname, "INSERT INTO $dblog_dloads VALUES('0','$timestamp','$datestamp','$hourstamp','$ip','$host','$referer','$referer_host','$client','$browser','$os','$engine','$terms','$file','$size','$mail')", $link);
		@mysql_close($link);
	}
}

// send headers
if(($pc > 1) AND isset($mimetype[$p[$pc - 1]])) {
	header("content-type: " . $mimetype[$p[$pc - 1]] . "\n"); //display file inside browser
	header("content-disposition: attachment; filename=\"$file\"\n");
}
else { 	// force download dialog
	header("content-type: application/octet-stream\n");
	header("content-disposition: attachment; filename=\"$file\"\n");
}
header("content-length: " . filesize($path) . "\n");

// send file contents
echo file_get_contents($path);
?>