<?php /*
phpWebTrace 1.0 - calendar.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: calendar.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
// collect any GET vars to pass on calendar urls
$url='';
if (isset($_GET['page'])) {$url.="&page={$_GET['page']}";}
if (isset($_GET['host'])) {$url.="&host={$_GET['host']}";}
if (isset($_GET['id'])) {$url.="&id={$_GET['id']}";}
if (isset($_GET['limit'])) {$url.="&limit={$_GET['limit']}";}
if (isset($_GET['name'])) {$url.="&name={$_GET['name']}";}
if (isset($_GET['bot'])) {$url.="&bot={$_GET['bot']}";}
if (isset($_GET['referrer'])) {$url.="&referrer={$_GET['referrer']}";}
if (isset($_GET['file'])) {$url.="&file={$_GET['file']}";}

// calculate dates
$today = date("j");
$thismonth = date("m");
$thisyear = date("Y");

// calculate previous and next month dates
if (isset($_GET['showmonth'])) { $month=$_GET['showmonth']; } else { $month=$thismonth; }
if (isset($_GET['showyear'])) { $year=$_GET['showyear']; } else { $year=$thisyear; }

$nextmonth = $month+1;
$prevmonth = $month-1;
if ( $month == 0 ) { $year--; $month = 12; }
if ( $month == 13 ) { $year++; $month = 1; }

$monthname = date("F",mktime(0,0,0,$month,1,$year));
$timestamp = mktime(0,0,0,$month,1,$year);
$monthstart = date("w", $timestamp); // DETERMINE THE FIRST DAY OF THE WEEK
if($monthstart == 0) { $monthstart = 7; } // IF 0, SET TO 7 (SUNDAY)
$lastday = date("d", mktime(0,0,0,$month+1,0,$year));
$startday = -$monthstart;

// build calendar navigate urls
if ( ($year==$thisyear && $month == $first_visit_month) || $total_visits==0 ) {
	$prevmonthurl="&nbsp;&nbsp;&nbsp;"; }
else {
	$prevmonthurl="<a href='index.php?showmonth=$prevmonth&showyear=$year&showdate={$_GET['showdate']}$url' class='calendar_nav'>&lt;&lt;</a>";
}

if ( ($year==$thisyear && $month==$thismonth) || $total_visits==0) {
	$nextmonthurl="&nbsp;&nbsp;&nbsp;"; }
else {
	$nextmonthurl="<a href='index.php?showmonth=$nextmonth&showyear=$year&showdate={$_GET['showdate']}$url' class='calendar_nav'>&gt;&gt;</a>";
}
$url.="&showmonth=$month";
?>
<table width=180 border=0 cellpadding=2 cellspacing=0>
      <tr>
        <td height=10 colspan=7 align='center'><!--SPACER--></td>
      </tr>
      <tr>
        <td height=25 colspan=7 align='center' class='calendar_title'><?php echo $prevmonthurl; ?>&nbsp;<b><?php echo date("F Y",mktime(0,0,0,$month,1,$year)); ?></b>&nbsp;<?php echo $nextmonthurl; ?></td>
      </tr>
      <tr class='calendar'>
        <td height=20 align='center'><b>Sun</b></td>
        <td align='center'><b>Mon</b></td>
        <td align='center'><b>Tue</b></td>
        <td align='center'><b>Wed</b></td>
        <td align='center'><b>Thu</b></td>
        <td align='center'><b>Fri</b></td>
        <td align='center'><b>Sat</b></td>
      </tr>
<?php
for($n = 1; $n <= 6; $n++) {
	echo "<tr height=20 class='calendar'>";
	for($i = 1; $i <= 7; $i++) {
		$startday++;
		// calculate the datestamp for given day to use in url
		if (strlen($month)!=2) {$month="0".$month;}
		if (strlen($day)!=2) {$day="0".$day;}
		$day=$startday;
		if (strlen($day)!=2) {$day="0".$day;}
		$datestamp=$year.$month.$day;
		
		// no day to show
		if(($startday <= 0) || ($startday > $lastday)) {
			echo "<td>&nbsp;</td>";
		}
		
		// today
		elseif($startday == $today && $month==$thismonth && $year==$thisyear) {
			echo "<td bgcolor=#CCCCFF align='center' onclick='parent.location.href=\"index.php?showdate=$datestamp$url\"' onMouseOver=\"ChangeBG(this,'on');\" onMouseOut=\"ChangeBG(this,'today');\"><a href='index.php?showdate=$datestamp$url' class='calendar_visits'>$startday</a></td>";
		}
		
		// date with no tracking history - either in future or prior to start date
                elseif ( ($year==$first_visit_year && $month==$first_visit_month && $startday < $first_visit_day ) || // prior to start date
			($year==$first_visit_year && $thismonth==$month && ( $startday > $today )) ) { // future dates
			echo "<td align='center'>$startday</td>";
		}
		
		// date during tracking history
		else {
			echo "<td align='center' onclick='parent.location.href=\"index.php?showdate=$datestamp$url\"' onMouseOver=\"ChangeBG(this,'on');\" onMouseOut=\"ChangeBG(this,'off');\"><a href='index.php?showdate=$datestamp$url' class='calendar_visits'>$startday</a></td>";
		}
	}
	echo "</tr>";
}
?>
	<tr align="center" valign="top"><td colspan=7 class="calendar"><b><?php echo $gen_date; ?></b></td>
	</tr>
    </table>
