<?php /*
phpWebTrace 1.0 - ip_filters.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: ip_filters.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
if ( !defined('IN_WEBTRACE') ) { die("Hacking attempt"); } // protect pages where user may be passed

include('ip_ignore.php');
$success = true; // set success out here so the error log is not shown on initial page entry
$errorlog = '';

// check for posted ip and action
if (isset($_GET['ip']) && isset($_GET['action'])) {

	if ($_GET['action']=="add") {
		// check the entered ip is actually an ip
		if((!ereg("^([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3}).([0-9]{1,3})$", $_GET['ip'],$digit))) {
			$success = false; $errorlog.="&middot; Was not a valid IP address<br>";
		}
		if (!($digit[1] <= 255) || !isset($digit[2]) || !($digit[2] <= 255) || !($digit[3] <= 255) || !isset($digit[3]) || !($digit[4] <= 255) || !isset($digit[4])) {
			$success = false; $errorlog.="&middot; Was not a valid IP address<br>";
		}
		if ($success) {
			// add to array
			array_push($ip_ignore, $_GET['ip']);
		}
	}
	
	if ($_GET['action']=="remove") {
		// remove from array
		$pos=array_search($_GET['ip'], $ip_ignore);
		if ($pos !== false){array_splice($ip_ignore, $pos, 1);}
	}
	
	//ensure we have no duplicate ip's
	$ip_ignore=array_unique($ip_ignore);
	
	// save ip_ignore.php file
	if ( $success ) {
		$fp = @fopen('ip_ignore.php', "w+");
		
		$string = 
		"<?php\n".
		'// DO NOT EDIT THIS FILE'."\n".
		'// List of IP Addresses to Ignore'."\n".
		'// Automatically generated by phpWebTrace'."\n".
		'$ip_ignore = array('."\n";
		
		foreach ($ip_ignore as $key => $ip) {
			$string .= '"'.$ip.'",'."\n";
		}
		
		$string .= ");\n";
		$string .= "?>";
		
		if(!fwrite($fp, $string)) { $success = false; $errorlog.="&middot; Unable to create ip ignore file<br>"; }
		@fclose($fp);
	}
}
?>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
  <tr class='fill01'><td height=25 colspan="3">&nbsp;<b>IP Addresses to Ignore</b> - This does not affect IP addresses already recorded.</td>
  </tr>
  <tr class='fill02'>
  <td width="20" height="25">&nbsp;</td>
  <td align="left" valign="middle"><form action='<?php echo $PHP_SELF; ?>' method='get' onSubmit=''>
	<input type="hidden" name="action" value="add">
	<input type="hidden" name="page" value="ip_filters">
	Add a new IP address to ignore: 
	<input name="ip" type="text" size="15" maxlength="15"> <input name="submit" type="submit" value="Add">
    </form>
	</td>
    <td align="left" valign="middle">
	<form action='<?php echo $PHP_SELF; ?>' method='get' onSubmit=''>
	  <input type="hidden" name="action" value="add">
      <input type="hidden" name="page" value="ip_filters">
      <input type="hidden" name="ip" value="<?php echo $_SERVER['REMOTE_ADDR']; ?>">
      Your IP:	    <?php echo $_SERVER['REMOTE_ADDR']; ?> 
	    <input name="Submit" type="submit" value="Add">
    </form>
	</td>
  </tr>
  <tr><td colspan="3"><table class='error' width=100% border=0 cellpadding=0 cellspacing=0><tr><td align="center"><?=$errorlog?></td>
  </tr></table></td></tr>
  <?php
  $n=0;
  foreach ($ip_ignore as $key => $ip) {
    if ($n) {$bg=" class='fill03'";$n=0;} else {$bg="";$n=1;}
    echo "<tr$bg><td><a href='index.php?page=ip_filters&action=remove&ip=$ip'><img src='icons/delete.png' border=0 title='Remove this IP address from the ignore list.'></a></td><td colspan='2'>$ip</td></tr>";
  }
  ?>
  <tr><td height="5" colspan="3" class='fill01'><!--SPACER--></td></tr>
</table>
