<?php /*
phpWebTrace 1.0 - search_engines.inc.php
Copyright (C) 2005 Instinctive Interactive Ltd
www.instinctiv-e.com

$LastChangedDate: 2005-10-21 05:18:12 +0100 (Fri, 21 Oct 2005) $
$Id: search_engines.inc.php 5 2005-10-21 04:18:12Z paulbrennan $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
?>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'>
	  <td height=25 colspan=3 align='left'>&nbsp;<b>Search Engine Referrals </b> ( Percentage is based on total visits referred from search engines. )</td>
	</tr>
	<?php $n = 0;
	foreach($eset as $name => $value) {
		$percent = $value / $engine_total;
		$width = round(400 * $percent);
		$percent = round($percent * 100, 1) . '%';
		$value = number_format($value);
		
		$image = engine($name); // what icon to display?
		
		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		echo "<tr $bg>
			<td width=20 align='center'><a href='index.php?page=engine_details&name=$name'><img src='icons/info.jpg' border=0 title='Info'></a></td>
			<td width=140>$name</td>
			<td width=500 valign='middle'><img src='$image' align='left'>&nbsp;&nbsp;<img src='graphics/graph_blue_h.jpg' width=$width height=16 align='absmiddle'> $percent ($value)</td>
		</tr>";
		$n++;
	}
	?>
	<tr class='fill01'><td colspan=3 height=5><!-- SPACER --></td></tr>
</table>
<br>
<table class='standard' width=660 border=0 cellpadding=2 cellspacing=0>
	<tr class='fill01'>
	  <td height=25 colspan=5 align='left'>&nbsp;<b>Search Query used to find your site.</b> ( <a class='slink' href='index.php?page=search_terms'>List All</a> ) ( Percentage based on total  query strings logged. )</td>
	</tr>
	<tr class='fill02'>
		<td width=545><b>Query String</b></td>
		<td width=75 align='center'><b>Occurrences</b></td>
		<td width=40 align='center'><b>%</b></td>
	</tr>
	<?php $n = 0;
	$tset = array_slice($tset, 0, 10);
	foreach($tset as $query => $hits) {
		if(!($n % 2)) { $bg = "class='fill03'"; } else { $bg = ''; }
		$percent = round(($hits / $terms_total) * 100) . '%';
		$hits = number_format($hits);
		$query = urldecode($query);
		echo "<tr $bg><td height=20>$query</td><td align='center'>$hits</td><td align='center'>$percent</td></tr>";
		$n++;
	}
	?>
	<tr class='fill01'><td colspan=3 height=5><!-- SPACER --></td></tr>
</table>
